Skip to main content
GET
/
enterprises
/
{enterprise_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const enterprise = await client.enterprises.retrieve('6a09cdc3-8948-47f0-aa62-74ac943d6c58');

console.log(enterprise.data);
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "legal_name": "Acme Corp Inc.",
    "doing_business_as": "Acme",
    "organization_type": "commercial",
    "country_code": "US",
    "role_type": "enterprise",
    "customer_reference": "<string>",
    "website": "<string>",
    "fein": "<string>",
    "industry": "<string>",
    "number_of_employees": "1-10",
    "organization_legal_type": "corporation",
    "primary_business_domain_sic_code": "<string>",
    "corporate_registration_number": "<string>",
    "professional_license_number": "<string>",
    "dun_bradstreet_number": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

Unique identifier of the enterprise (UUID)

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Response

Enterprise details

data
object